OpenTTD GameScript API: Data Fields - Functions

OpenTTD GameScript API 12.0-RC1

### - i -

- Import() : GSController
- Info() : GSLog
- Insert() : GSPriorityQueue
- IsActionAvailable() : GSTown
- IsAirportClosed() : GSStation
- IsAirportInformationAvailable() : GSAirport
- IsAirportTile() : GSAirport
- IsArticulated() : GSEngine , GSVehicle
- IsAwarded() : GSSubsidy
- IsBridgeTile() : GSBridge
- IsBuildable() : GSEngine , GSTile
- IsBuildableRectangle() : GSTile
- IsBuiltOnWater() : GSIndustry , GSIndustryType
- IsBuoyTile() : GSMarine
- IsCanalTile() : GSMarine
- IsCargoAccepted() : GSIndustry
- IsCity() : GSTown
- IsCoastTile() : GSTile
- IsCompleted() : GSGoal
- IsConditionalOrder() : GSOrder
- IsCurrentOrderPartOfOrderList() : GSOrder
- IsDesertTile() : GSTile
- IsDeveloperOnly() : GSInfo
- IsDockTile() : GSMarine
- IsDriveThroughRoadStationTile() : GSRoad
- IsEmpty() : GSList , GSPriorityQueue
- IsEnd() : GSList
- IsEventWaiting() : GSEventController
- IsFarmTile() : GSTile
- IsFreight() : GSCargo
- IsGotoDepotOrder() : GSOrder
- IsGotoStationOrder() : GSOrder
- IsGotoWaypointOrder() : GSOrder
- IsHalftileSlope() : GSTile
- IsHangarTile() : GSAirport
- IsInDepot() : GSVehicle
- IsLevelCrossingTile() : GSRail
- IsLoaded() : GSNewGRF
- IsLockTile() : GSMarine
- IsMultiplayer() : GSGame
- IsOpen() : GSWindow
- IsPaused() : GSGame
- IsProcessingIndustry() : GSIndustryType
- IsRailDepotTile() : GSRail
- IsRailStationTile() : GSRail
- IsRailTile() : GSRail
- IsRailTypeAvailable() : GSRail
- IsRailWaypointTile() : GSRail
- IsRawIndustry() : GSIndustryType
- IsRefitOrder() : GSOrder
- IsRiverTile() : GSTile
- IsRoadDepotTile() : GSRoad
- IsRoadStationTile() : GSRoad
- IsRoadTile() : GSRoad
- IsRoadTypeAvailable() : GSRoad
- IsRockTile() : GSTile
- IsRoughTile() : GSTile
- IsSeaTile() : GSTile
- IsSnowTile() : GSTile
- IsStationTile() : GSTile
- IsSteepSlope() : GSTile
- IsStoppedInDepot() : GSVehicle
- IsTunnelTile() : GSTunnel
- IsValid() : GSGameSettings
- IsValidAirportType() : GSAirport
- IsValidBaseStation() : GSBaseStation
- IsValidBridge() : GSBridge
- IsValidCargo() : GSCargo
- IsValidConditionalOrder() : GSOrder
- IsValidDate() : GSDate
- IsValidEngine() : GSEngine
- IsValidGoal() : GSGoal
- IsValidIndustry() : GSIndustry
- IsValidIndustryType() : GSIndustryType
- IsValidObjectType() : GSObjectType
- IsValidSign() : GSSign
- IsValidStation() : GSStation
- IsValidStoryPage() : GSStoryPage
- IsValidStoryPageElement() : GSStoryPage
- IsValidSubsidy() : GSSubsidy
- IsValidTile() : GSMap
- IsValidTown() : GSTown
- IsValidTownEffect() : GSCargo
- IsValidVehicle() : GSVehicle
- IsValidVehicleOrder() : GSOrder
- IsValidWaypoint() : GSWaypoint
- IsVoidOrder() : GSOrder
- IsWagon() : GSEngine
- IsWaterDepotTile() : GSMarine
- IsWaterTile() : GSTile
- IsWithinTownInfluence() : GSStation , GSTile , GSTown